var events_c12a15a8_c380_4b28_8144_256cba95f760 = 
{
	"commonEvent": {
		"加点事件": [
			{
				"type": "comment",
				"text": "通过传参，flag:arg1 表示当前应该的加点数值"
			},
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+${1*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1*flag:arg1"
							}
						]
					},
					{
						"text": "防御+${2*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2*flag:arg1"
							}
						]
					},
					{
						"text": "生命+${200*flag:arg1}",
						"action": [
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "200*flag:arg1"
							}
						]
					}
				]
			}
		],
		"回收钥匙商店": [
			{
				"type": "comment",
				"text": "此事件在全局商店中被引用了(全局商店keyShop)"
			},
			{
				"type": "comment",
				"text": "解除引用前勿删除此事件"
			},
			{
				"type": "comment",
				"text": "玩家在快捷列表（V键）中可以使用本公共事件"
			},
			{
				"type": "while",
				"condition": "1",
				"data": [
					{
						"type": "choices",
						"text": "\t[商人,trader]你有多余的钥匙想要出售吗？",
						"choices": [
							{
								"text": "黄钥匙（10金币）",
								"color": [
									255,
									255,
									0,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:yellowKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:yellowKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "10"
											}
										],
										"false": [
											"\t[商人,trader]你没有黄钥匙！"
										]
									}
								]
							},
							{
								"text": "蓝钥匙（50金币）",
								"color": [
									0,
									0,
									255,
									1
								],
								"action": [
									{
										"type": "if",
										"condition": "item:blueKey >= 1",
										"true": [
											{
												"type": "setValue",
												"name": "item:blueKey",
												"operator": "-=",
												"value": "1"
											},
											{
												"type": "setValue",
												"name": "status:money",
												"operator": "+=",
												"value": "50"
											}
										],
										"false": [
											"\t[商人,trader]你没有蓝钥匙！"
										]
									}
								]
							},
							{
								"text": "离开",
								"action": [
									{
										"type": "exit"
									}
								]
							}
						]
					}
				]
			}
		],
		"铁匠": [
			{
				"type": "choices",
				"text": "\t[recluse]请问您要强化哪件装备",
				"choices": [
					{
						"text": "龙血宝剑",
						"icon": "sword3",
						"condition": "core.status.hero.hasEquiped[0]",
						"action": [
							{
								"type": "choices",
								"text": "\t[recluse]请问您要强化哪个技能",
								"choices": [
									{
										"text": "${core.plugin.rvsData_equipment()[0].name} Lv.${core.status.hero.level[0][0]+1} （${core.plugin.rvs_getNextCost(0,0)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(0,0)",
										"action": [
											{
												"type": "setValue",
												"name": "status:atk",
												"operator": "+=",
												"value": "3"
											},
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(0, 0);\ncore.status.hero.level[0][0] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "${core.plugin.rvsData_equipment()[1].name} Lv.${core.status.hero.level[0][1]+1} （${core.plugin.rvs_getNextCost(0,1)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(0,1)",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(0, 1);\ncore.status.hero.level[0][1] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "${core.plugin.rvsData_equipment()[2].name} Lv.${core.status.hero.level[0][2]+1} （${core.plugin.rvs_getNextCost(0,2)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(0,2)",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(0, 2);\ncore.status.hero.level[0][2] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "取消",
										"action": []
									}
								]
							}
						]
					},
					{
						"text": "秘银圣盾",
						"icon": "shield2",
						"condition": "core.status.hero.hasEquiped[1]",
						"action": [
							{
								"type": "choices",
								"text": "\t[recluse]请问您要强化哪个技能",
								"choices": [
									{
										"text": "${core.plugin.rvsData_equipment()[3].name} Lv.${core.status.hero.level[1][0]+1} （${core.plugin.rvs_getNextCost(1,0)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(1,0)",
										"action": [
											{
												"type": "setValue",
												"name": "status:def",
												"operator": "+=",
												"value": "3"
											},
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(1, 0);\ncore.status.hero.level[1][0] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "${core.plugin.rvsData_equipment()[4].name} Lv.${core.status.hero.level[1][1]+1} （${core.plugin.rvs_getNextCost(1,1)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(1,1)",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(1, 1);\ncore.status.hero.level[1][1] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "${core.plugin.rvsData_equipment()[5].name} Lv.${core.status.hero.level[1][2]+1} （${core.plugin.rvs_getNextCost(1,2)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(1,2)",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(1, 2);\ncore.status.hero.level[1][2] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "取消",
										"action": []
									}
								]
							}
						]
					},
					{
						"text": "苍鹰徽章",
						"icon": "wand",
						"condition": "core.status.hero.hasEquiped[2]",
						"action": [
							{
								"type": "choices",
								"text": "\t[recluse]请问您要强化哪个技能",
								"choices": [
									{
										"text": "${core.plugin.rvsData_equipment()[6].name} Lv.${core.status.hero.level[2][0]+1} （${core.plugin.rvs_getNextCost(2,0)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(2,0)",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(2, 0);\ncore.status.hero.level[2][0] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "${core.plugin.rvsData_equipment()[7].name} Lv.${core.status.hero.level[2][1]+1} （${core.plugin.rvs_getNextCost(2,1)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(2,1)",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(2, 1);\ncore.status.hero.level[2][1] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "${core.plugin.rvsData_equipment()[8].name} Lv.${core.status.hero.level[2][2]+1} （${core.plugin.rvs_getNextCost(2,2)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(2,2)",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(2, 2);\ncore.status.hero.level[2][2] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "取消",
										"action": []
									}
								]
							}
						]
					},
					{
						"text": "王权护符",
						"icon": "amulet",
						"condition": "core.status.hero.hasEquiped[3]",
						"action": [
							{
								"type": "choices",
								"text": "\t[recluse]请问您要强化哪个技能",
								"choices": [
									{
										"text": "${core.plugin.rvsData_equipment()[9].name} Lv.${core.status.hero.level[3][0]+1} （${core.plugin.rvs_getNextCost(3,0)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(3,0)",
										"action": [
											{
												"type": "setValue",
												"name": "status:mdef",
												"operator": "+=",
												"value": "15"
											},
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(3, 0);\ncore.status.hero.level[3][0] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "${core.plugin.rvsData_equipment()[10].name} Lv.${core.status.hero.level[3][1]+1} （${core.plugin.rvs_getNextCost(3,1)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(3,1)",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(3, 1);\ncore.status.hero.level[3][1] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "${core.plugin.rvsData_equipment()[11].name} Lv.${core.status.hero.level[3][2]+1} （${core.plugin.rvs_getNextCost(3,2)}金币）",
										"need": "core.status.hero.money>=core.plugin.rvs_getNextCost(3,2)",
										"action": [
											{
												"type": "function",
												"function": "function(){\ncore.status.hero.money -= core.plugin.rvs_getNextCost(3, 2);\ncore.status.hero.level[3][2] += 1;\n}"
											},
											{
												"type": "update"
											},
											{
												"type": "playSound",
												"name": "equip.mp3"
											},
											"\t[recluse]强化成功！"
										]
									},
									{
										"text": "取消",
										"action": []
									}
								]
							}
						]
					},
					{
						"text": "取消",
						"action": []
					}
				]
			}
		]
	}
}