main.floors.MT1=
{
    "floorId": "MT1",
    "title": "魔塔 1 层",
    "name": "魔塔 1 层",
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "defaultGround": "ground",
    "images": [],
    "ratio": 1,
    "map": [
    [  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2],
    [  2,  2,123,  0,  2,  2, 87,  2,  2,  0,126,  2,  2],
    [  2,  0,  0,  0,  0,  2, 86,  2,  0,  0,  0,  0,  2],
    [  2,  0,  0, 21,  0,  0,201,  0,  0, 21,  0,  0,  2],
    [  2,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  2],
    [  2,  2,  0,  0,  0,  0, 22,  0,  0,  0,  0,  2,  2],
    [  2,  2,  2,  2,  2,  0,  0,  0,  2,  2,  2,  2,  2],
    [  2,  2,  2,  2,  2,  2,105,  2,  2,  2,  2,  2,  2],
    [  2,  5,  5,  5,  5,  2,  0,  2,  5,  5,  5,  5,  2],
    [  2,  5,  5,  5,  5,  2,  0,  2,  5,  5,  5,  5,  2],
    [  2,  5,  5,  5,  5,  2,  0,  2,  5,  5,  5,  5,  2],
    [  2,  5,  5,  5,  5,  2,  0,  2,  5,  5,  5,  5,  2],
    [  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2]
],
    "firstArrive": [],
    "parallelDo": "",
    "events": {
        "2,1": [
            {
                "type": "if",
                "condition": "flags.jack",
                "true": [
                    "\t[this]\b[this]很高兴见到你，勇者。我会在秘境出现时第一时间通知你。",
                    "\t[this]\b[this]稍安勿躁，秘境迟早会出现的。"
                ],
                "false": [
                    "\t[this]\b[this]你好，我是杰克，一名喜欢研究异象的考古学家。",
                    "\t[this]\b[this]你一定是前来冒险的勇者吧，请问你有兴趣和我一同研究这座魔塔的秘境吗？",
                    "\t[this]\b[this]只要支付24金币的入会费，我就能在秘境出现时第一时间通知你。",
                    "\t[this]\b[this]哎呀，不要嫌贵啦。秘境里的好东西，一定不会让你失望。",
                    "\t[this]\b[this]\r[yellow]入会成员免费获得4个绿宝石，这种条件足够了吧。\r",
                    "\t[this]\b[this]那么，你有意向加入吗？",
                    {
                        "type": "confirm",
                        "text": "确认要加入杰克吗?（需要24金币）",
                        "yes": [
                            {
                                "type": "if",
                                "condition": "(core.status.hero.money>=24)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "status:money",
                                        "operator": "-=",
                                        "value": "24"
                                    },
                                    "\t[this]\b[this]欢迎加入杰克的探秘协会，我们离这座塔的真相又近了一步！",
                                    "\t[this]\b[this]你问这座塔的真相是什么？我不清楚，但在接近秘境时，我能感受到它的存在。",
                                    "\t[this]\b[this]到时候你就明白了，总之先拿好你的4个宝石。",
                                    {
                                        "type": "setValue",
                                        "name": "item:greenGem",
                                        "operator": "+=",
                                        "value": "4"
                                    },
                                    {
                                        "type": "setValue",
                                        "name": "flag:jack",
                                        "value": "true"
                                    }
                                ],
                                "false": [
                                    "\t[this]\b[this]哎呀，你钱不够呢。"
                                ]
                            }
                        ],
                        "no": [
                            "\t[this]\b[this]真是遗憾，欢迎以后再来。"
                        ]
                    }
                ]
            }
        ],
        "10,1": [
            {
                "type": "if",
                "condition": "flags.hasEquiped",
                "true": [
                    {
                        "type": "insert",
                        "name": "铁匠"
                    }
                ],
                "false": [
                    "\t[this]\b[this]你好，我是一个流浪的铁匠。",
                    "\t[this]\b[this]是的，我不是人类。但如果你有装备和金钱，我可以帮你强化。",
                    {
                        "type": "function",
                        "function": "function(){\nfor (var i = 0; i < 4; i++) {\n\tif (core.status.hero.hasEquiped[i] == true)\n\t\tflags.hasEquiped = true;\n}\n}"
                    },
                    {
                        "type": "if",
                        "condition": "flags.hasEquiped",
                        "true": [
                            "\t[this]\b[this]哦，你身上的这是……传说中的神器。",
                            "\t[this]\b[this]虽然实际的威力被某种邪恶的力量压制住了，但是依然能看出其强大的内在。",
                            "\t[this]\b[this]我知道了，我知道了……只要你给我足够的钱，我就可以让她们逐步恢复原本的强大。",
                            {
                                "type": "insert",
                                "name": "铁匠"
                            }
                        ]
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "6,1": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [

],
    "fgmap": [

],
    "width": 13,
    "height": 13,
    "autoEvent": {},
    "bgm": "bgm1.mp3"
}