main.floors.MT10=
{
    "floorId": "MT10",
    "title": "魔塔 10 层",
    "name": "魔塔 10 层",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,10": {
            "trigger": null,
            "enable": false,
            "noPass": null,
            "displayDamage": true,
            "data": []
        }
    },
    "changeFloor": {
        "6,11": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "6,1": {
            "floorId": "MT11",
            "loc": [
                6,
                1
            ]
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {
        "6,4": [
            {
                "type": "if",
                "condition": "flags.jack",
                "true": [
                    "\t[thief]\b[up,6,11]且慢！勇者留步！",
                    {
                        "type": "changePos",
                        "direction": "down"
                    },
                    {
                        "type": "sleep",
                        "time": 500
                    },
                    {
                        "type": "show",
                        "loc": [
                            [
                                6,
                                10
                            ]
                        ]
                    },
                    {
                        "type": "move",
                        "loc": [
                            6,
                            10
                        ],
                        "time": 100,
                        "keep": true,
                        "steps": [
                            "up",
                            "up",
                            "up",
                            "up"
                        ]
                    },
                    "\t[thief]\b[up,6,6]终于找到你了，累死我了……呼……呼……",
                    "\t[thief]\b[up,6,6]秘境出现了，而且入口正在关闭，我们趁现在过去还来得及，快跟我来！",
                    {
                        "type": "confirm",
                        "text": "要和杰克一起去吗?",
                        "yes": [
                            {
                                "type": "setCurtain",
                                "color": [
                                    0,
                                    0,
                                    0,
                                    1
                                ],
                                "time": 1000,
                                "keep": true
                            },
                            {
                                "type": "hide",
                                "loc": [
                                    [
                                        6,
                                        6
                                    ]
                                ],
                                "remove": true,
                                "time": 500
                            },
                            {
                                "type": "show",
                                "loc": [
                                    [
                                        6,
                                        11
                                    ]
                                ],
                                "floorId": "UK1"
                            },
                            {
                                "type": "changeFloor",
                                "floorId": "UK1",
                                "loc": [
                                    6,
                                    10
                                ]
                            }
                        ],
                        "no": [
                            "\t[thief]\b[up,6,6]啊？为什么……为什么你要在这种紧要关头临阵脱逃？",
                            "\t[thief]\b[up,6,6]你知道秘境的出现多么难得吗？你知道我等这一刻等了多久吗？",
                            "\t[thief]\b[up,6,6]你……操他妈的，没时间骂你了，再不动身幻境的入口就要关闭了。",
                            {
                                "type": "move",
                                "loc": [
                                    6,
                                    6
                                ],
                                "time": 100,
                                "keep": true,
                                "steps": [
                                    "down",
                                    "down",
                                    "down",
                                    "down"
                                ]
                            },
                            {
                                "type": "hide",
                                "loc": [
                                    [
                                        6,
                                        10
                                    ]
                                ],
                                "remove": true,
                                "time": 500
                            },
                            {
                                "type": "hide",
                                "loc": [
                                    [
                                        2,
                                        1
                                    ]
                                ],
                                "floorId": "MT1",
                                "remove": true
                            },
                            {
                                "type": "setValue",
                                "name": "flag:jackLost",
                                "value": "true"
                            }
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "sleep",
                        "time": 500
                    },
                    "\t[hero]\b[hero]……",
                    "勇者的直觉告诉自己，好像错过了一些很重要的事情，但他一时想不到是什么。",
                    {
                        "type": "hide",
                        "loc": [
                            [
                                2,
                                1
                            ]
                        ],
                        "floorId": "MT1",
                        "remove": true
                    }
                ]
            }
        ]
    },
    "autoEvent": {},
    "cannotMove": {},
    "map": [
    [  2,  2,  1,  2,  2,  2,  2,  2,  2,  2,  1,  2,  2],
    [  2,  1,  2,  2,  2,  2, 87,  2,  2,  2,  2,  1,  2],
    [  2,  2,  1,  2,  2,  2,  0,  2,  2,  2,  1,  2,  2],
    [  2,  2,  2,  1,  2,  2,  0,  2,  2,  1,  2,  2,  2],
    [  2,  2,  2,  2,  1,  2, 86,  2,  1,  2,  2,  2,  2],
    [  2,  2,  2,  1,  2,  2,  0,  2,  2,  1,  2,  2,  2],
    [  2,  2,  1,  2,  2,  2,  0,  2,  2,  2,  1,  2,  2],
    [  2,  1,  2,  2,  2,  2,  0,  2,  2,  2,  2,  1,  2],
    [  2,  2,  1,  2,  2,  2,  0,  2,  2,  2,  1,  2,  2],
    [  2,  2,  2,  1,  2,  2,  0,  2,  2,  1,  2,  2,  2],
    [  2,  2,  2,  2,  1,  2,123,  2,  1,  2,  2,  2,  2],
    [  2,  2,  2,  1,  2,  2, 88,  2,  2,  1,  2,  2,  2],
    [  2,  2,  1,  2,  2,  2,  2,  2,  2,  2,  1,  2,  2]
],
    "bgmap": [

],
    "fgmap": [

]
}