main.floors.MT22=
{
    "floorId": "MT22",
    "title": "魔塔 22 层",
    "name": "魔塔 22 层",
    "width": 13,
    "height": 13,
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": true,
    "cannotViewMap": false,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "firstArrive": [
        {
            "type": "sleep",
            "time": 1000
        },
        {
            "type": "sleep",
            "time": 500
        },
        {
            "type": "changePos",
            "direction": "right"
        },
        {
            "type": "sleep",
            "time": 500
        },
        {
            "type": "changePos",
            "direction": "down"
        },
        {
            "type": "sleep",
            "time": 500
        },
        {
            "type": "changePos",
            "direction": "left"
        },
        {
            "type": "sleep",
            "time": 500
        },
        {
            "type": "changePos",
            "direction": "up"
        },
        {
            "type": "sleep",
            "time": 1000
        },
        "\t[steelGuard]\b[up,6,8]妖鸟窃脂，速速伏诛！",
        "\t[elemental]\b[down,6,4]我们已在此处布下了天罗地网，奈何你有再多花招也无法逃脱。",
        "\t[evilBat]\b[up,4,6]快将神器归还，若态度良好上头或许会从轻处理。",
        "\t[angel]\b[up,8,6]否则，等待着你的将是无尽的牢狱之灾。",
        {
            "type": "setCurtain",
            "color": [
                0,
                0,
                0,
                1
            ],
            "time": 1000,
            "keep": true
        },
        "四位神器之主出现在塔顶，用强大的阵法禁锢住了勇者。",
        {
            "type": "if",
            "condition": "(core.hasItem(\"greenKey\")||core.hasItem(\"coin\"))",
            "true": [
                "勇者在四位天界强者面前毫无还手之力，眼看就要倒下。",
                {
                    "type": "sleep",
                    "time": 1000
                },
                "\t[thief]还没完呢！看我的烟雾弹！",
                {
                    "type": "setCurtain",
                    "color": [
                        128,
                        128,
                        128,
                        1
                    ],
                    "time": 200,
                    "keep": true
                },
                {
                    "type": "setCurtain",
                    "color": [
                        0,
                        0,
                        0,
                        1
                    ],
                    "time": 200,
                    "keep": true
                },
                {
                    "type": "setCurtain",
                    "color": [
                        128,
                        128,
                        128,
                        1
                    ],
                    "time": 200,
                    "keep": true
                },
                {
                    "type": "setCurtain",
                    "color": [
                        0,
                        0,
                        0,
                        1
                    ],
                    "time": 200,
                    "keep": true
                },
                {
                    "type": "setCurtain",
                    "color": [
                        128,
                        128,
                        128,
                        1
                    ],
                    "time": 200,
                    "keep": true
                },
                {
                    "type": "setCurtain",
                    "color": [
                        0,
                        0,
                        0,
                        1
                    ],
                    "time": 200,
                    "keep": true
                },
                {
                    "type": "setCurtain",
                    "color": [
                        128,
                        128,
                        128,
                        1
                    ],
                    "time": 200,
                    "keep": true
                },
                {
                    "type": "setCurtain",
                    "color": [
                        0,
                        0,
                        0,
                        1
                    ],
                    "time": 1000,
                    "keep": true
                },
                {
                    "type": "sleep",
                    "time": 1000
                },
                "\t[thief]往这边跑，天界的那群人应该就追不上来了……",
                "\t[thief]这里……你忘了吗？这里是我们当初找到的秘境，只不过要更加稳定。也就是这座塔真正的主人所在的地方。",
                "\t[thief]没错，神器的盗窃者就躲藏在这里，只要找到那个人，你就可以向天界的神器之主们证明你的清白……",
                "\t[thief]咳……咳……我没事，大概是在混乱中被他们打中了吧，反正我在这世上也没有其他想做的事情了。",
                "\t[thief]总之，这座塔的真相就是塔主人用于掩藏盗窃赃物的场所，塔主利用了被宝藏吸引而来的勇者，让他们成为销赃的替罪羊，代受天界的惩罚。",
                "\t[thief]因为号称“窃脂魔王”的塔主本身诡计多端不留痕迹，所以急于寻回神器的天界人为了达到目的，也睁一只眼闭一只眼地抓走了那些无辜的勇者。",
                "\t[thief]勇者。我是一名考古学家，我的梦想是研究异象。找出这座塔的真相就是我这辈子最引以为傲的成就了，谢谢你！",
                "\t[thief]我……我快不行了……“窃脂魔王”就在这片秘境中，这是我最后的发现了……",
                {
                    "type": "sleep",
                    "time": 1000
                },
                "在此之后，勇者在这片稳定的秘境中寻找了数十年，经历了无数艰难险阻，却始终无法找到“窃脂魔王”的身影。",
                "但在路途中，他遇到了很多尸骨，有的是其他勇者，有的是像杰克一样的其他人。",
                "勇者在杰克死去不久便接受了自己可能一辈子都找不到“窃脂魔王”的可能性，但他依然会坚持找下去。",
                "就像其他勇者一样……",
                {
                    "type": "sleep",
                    "time": 1000
                },
                {
                    "type": "if",
                    "condition": "core.hasItem(\"coin\")",
                    "true": [
                        {
                            "type": "choices",
                            "text": "恭喜通关Normal End，请选择计分方式：",
                            "choices": [
                                {
                                    "text": "hp计分",
                                    "icon": "hp",
                                    "action": [
                                        {
                                            "type": "win",
                                            "reason": "Normal End：秘境独行（幸运金币线/hp榜）"
                                        }
                                    ]
                                },
                                {
                                    "text": "钱匙计分",
                                    "icon": "yellowKey",
                                    "action": [
                                        {
                                            "type": "function",
                                            "function": "function(){\ncore.status.hero.hp = core.status.hero.money + core.itemCount(\"yellowKey\") * 100 + core.itemCount(\"blueKey\") * 1000 + core.itemCount(\"redKey\") * 10000\n}"
                                        },
                                        {
                                            "type": "win",
                                            "reason": "Normal End：秘境独行（幸运金币线/钱匙榜）"
                                        }
                                    ]
                                }
                            ]
                        }
                    ],
                    "false": [
                        {
                            "type": "choices",
                            "text": "恭喜通关Normal End，请选择计分方式：",
                            "choices": [
                                {
                                    "text": "hp计分",
                                    "icon": "hp",
                                    "action": [
                                        {
                                            "type": "win",
                                            "reason": "Normal End：秘境独行（绿钥匙线/hp榜）"
                                        }
                                    ]
                                },
                                {
                                    "text": "钱匙计分",
                                    "icon": "yellowKey",
                                    "action": [
                                        {
                                            "type": "function",
                                            "function": "function(){\ncore.status.hero.hp = core.status.hero.money + core.itemCount(\"yellowKey\") * 100 + core.itemCount(\"blueKey\") * 1000 + core.itemCount(\"redKey\") * 10000\n}"
                                        },
                                        {
                                            "type": "win",
                                            "reason": "Normal End：秘境独行（绿钥匙线/钱匙榜）"
                                        }
                                    ]
                                }
                            ]
                        }
                    ]
                }
            ],
            "false": [
                {
                    "type": "sleep",
                    "time": 500
                },
                "不管原本的盗窃者是何许人也，勇者连一丝辩解的机会都没有就被抓住了。",
                "因为缺乏为自己辩护的证据，勇者被当成了盗窃神器且逍遥法外的惯犯——“窃脂魔王”。",
                "最终他被打入天界的九重深牢，在其中度过余生。",
                {
                    "type": "sleep",
                    "time": 500
                },
                "至于杰克……他再也没有出现过。",
                {
                    "type": "sleep",
                    "time": 1000
                },
                {
                    "type": "choices",
                    "text": "恭喜通关Bad End，请选择计分方式：",
                    "choices": [
                        {
                            "text": "hp计分",
                            "icon": "hp",
                            "action": [
                                {
                                    "type": "win",
                                    "reason": "Bad End：替罪羔羊（hp榜）"
                                }
                            ]
                        },
                        {
                            "text": "钱匙计分",
                            "icon": "yellowKey",
                            "action": [
                                {
                                    "type": "function",
                                    "function": "function(){\ncore.status.hero.hp = core.status.hero.money + core.itemCount(\"yellowKey\") * 100 + core.itemCount(\"blueKey\") * 1000 + core.itemCount(\"redKey\") * 10000\n}"
                                },
                                {
                                    "type": "win",
                                    "reason": "Bad End：替罪羔羊（钱匙榜）"
                                }
                            ]
                        }
                    ]
                }
            ]
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {},
    "changeFloor": {
        "6,6": {
            "floorId": ":before",
            "stair": "upFloor"
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "autoEvent": {},
    "cannotMove": {},
    "map": [
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  0,  0,  0,  0,  0,  0,  0,  0,  0,  4,  4],
    [  4,  0, 86,  0,  0,105,105,105,  0,  0, 86,  0,  4],
    [  4,  0,  0,105,  0,  0,  0,  0,  0,105,  0,  0,  4],
    [  4,  0,  0,  0,  0,  0,262,  0,  0,  0,  0,  0,  4],
    [  4,  0,105,  0,  0,  0,  0,  0,  0,  0,105,  0,  4],
    [  4,  0,105,  0,264,  0, 88,  0,261,  0,105,  0,  4],
    [  4,  0,105,  0,  0,  0,  0,  0,  0,  0,105,  0,  4],
    [  4,  0,  0,  0,  0,  0,263,  0,  0,  0,  0,  0,  4],
    [  4,  0,  0,105,  0,  0,  0,  0,  0,105,  0,  0,  4],
    [  4,  0, 86,  0,  0,105,105,105,  0,  0, 86,  0,  4],
    [  4,  4,  0,  0,  0,  0,  0,  0,  0,  0,  0,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4]
],
    "bgmap": [

],
    "fgmap": [

],
    "bgm": "bgm3.mp3"
}